Skip to main content
GET
/
extract
/
detect
/
{extraction_id}
Get detect extraction
curl --request GET \
  --url https://apigcp.trynia.ai/v2/extract/detect/{extraction_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "progress": 0,
  "type": "detect",
  "url": "<string>",
  "source_display_name": "<string>",
  "page_range": "<string>",
  "result": {},
  "page_count": 0,
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

extraction_id
string
required

Response

Successful Response

id
string
required

Detection job ID

status
string
required

Job status: queued, processing, completed, failed

created_at
string
required
updated_at
string
required
progress
integer
default:0

Processing progress percentage (0-100)

type
string
default:detect
url
string | null
source_display_name
string | null
page_range
string | null
result
Result · object

Detection results with bounding boxes and classifications

page_count
integer
default:0
error
string | null